Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 704532 - gnome-extra/cinnamon-4.4 version bump
Summary: gnome-extra/cinnamon-4.4 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Cinnamon Team
URL:
Whiteboard:
Keywords:
Depends on: 720190
Blocks: CVE-2018-13054 672676 553946 560764 591790 613736 662546 670818 680808 708578 709016 713046 718316 718322 720152
  Show dependency tree
 
Reported: 2020-01-02 08:23 UTC by Matthew Turnbull
Modified: 2020-07-29 18:06 UTC (History)
11 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-python/xapp-1.8.1 (xapp-1.8.1.ebuild,545 bytes, text/plain)
2020-01-04 01:05 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-4.4.6 (cinnamon-4.4.6.ebuild,6.19 KB, text/plain)
2020-01-04 01:06 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-control-center-4.4.0 (cinnamon-control-center-4.4.0.ebuild,2.52 KB, text/plain)
2020-01-04 01:08 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-desktop-4.4.1 (cinnamon-desktop-4.4.1.ebuild,1.51 KB, text/plain)
2020-01-04 01:09 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-menus-4.4.0 (cinnamon-menus-4.4.0.ebuild,829 bytes, text/plain)
2020-01-04 01:09 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-screensaver-4.4.1 (cinnamon-screensaver-4.4.1.ebuild,1.76 KB, text/plain)
2020-01-04 01:10 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-session-4.4.0 (cinnamon-session-4.4.0.ebuild,1.34 KB, text/plain)
2020-01-04 01:10 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-settings-daemon-4.4.0 (cinnamon-settings-daemon-4.4.0.ebuild,2.11 KB, text/plain)
2020-01-04 01:11 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-translations-4.4.1 (cinnamon-translations-4.4.1.ebuild,1.39 KB, text/plain)
2020-01-04 01:11 UTC, Matthew Turnbull
Details
gnome-extra/cjs-4.4.0 (cjs-4.4.0.ebuild,1.96 KB, text/plain)
2020-01-04 01:12 UTC, Matthew Turnbull
Details
gnome-extra/nemo-4.4.2 (nemo-4.4.2.ebuild,1.67 KB, text/plain)
2020-01-04 01:12 UTC, Matthew Turnbull
Details
x11-libs/libtimezonemap-0.4.6 (libtimezonemap-0.4.6.ebuild,673 bytes, text/plain)
2020-01-04 01:14 UTC, Matthew Turnbull
Details
x11-libs/xapps-1.6.8 (xapps-1.6.8.ebuild,1.11 KB, text/plain)
2020-01-04 01:15 UTC, Matthew Turnbull
Details
x11-wm/muffin-4.4.2 (muffin-4.4.2.ebuild,1.98 KB, text/plain)
2020-01-04 01:15 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-4.4.6 V2 (cinnamon-4.4.6.ebuild,6.19 KB, text/plain)
2020-01-06 17:00 UTC, Matthew Turnbull
Details
dev-libs/libtimezonemap-0.4.6 (libtimezonemap-0.4.6.ebuild,673 bytes, text/plain)
2020-01-06 17:01 UTC, Matthew Turnbull
Details
dev-python/xapp-2.0.1 (xapp-2.0.1.ebuild,575 bytes, text/plain)
2020-05-01 06:47 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-screensaver-4.4.1 (cinnamon-screensaver-4.4.1.ebuild,1.69 KB, text/plain)
2020-05-01 06:48 UTC, Matthew Turnbull
Details
x11-libs/xapps-1.8.2 (xapps-1.8.2.ebuild,1.15 KB, text/plain)
2020-05-01 06:49 UTC, Matthew Turnbull
Details
x11-wm/muffin-4.4.3 (muffin-4.4.3.ebuild,2.05 KB, text/plain)
2020-05-01 06:50 UTC, Matthew Turnbull
Details
x11-wm/muffin fixes for gobject-introspection-1.62.0 part 1 (muffin-4.4-gobject-introspection-fixes.patch,16.51 KB, patch)
2020-05-01 06:51 UTC, Matthew Turnbull
Details | Diff
x11-wm/muffin fixes for gobject-introspection-1.62.0 part 2 (muffin-4.4-gir-fixes.patch,2.08 KB, patch)
2020-05-01 06:52 UTC, Matthew Turnbull
Details | Diff
dev-python/xapp-2.0.1 (xapp-2.0.1.ebuild,577 bytes, text/plain)
2020-05-04 00:43 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-desktop-4.4.1 (cinnamon-desktop-4.4.1.ebuild,1.55 KB, text/plain)
2020-05-04 00:44 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-screensaver-4.4.1 (cinnamon-screensaver-4.4.1.ebuild,1.70 KB, text/plain)
2020-05-04 00:45 UTC, Matthew Turnbull
Details
gnome-extra/cinnamon-4.4.8 (cinnamon-4.4.8.ebuild,6.23 KB, text/plain)
2020-05-04 00:46 UTC, Matthew Turnbull
Details
gnome-extra/nemo-4.4.2 (nemo-4.4.2.ebuild,1.67 KB, text/plain)
2020-05-04 00:47 UTC, Matthew Turnbull
Details
app-accessibility/caribou-0.4.21-r1 (caribou-0.4.21-r1.ebuild,2.34 KB, text/plain)
2020-05-04 00:48 UTC, Matthew Turnbull
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Turnbull 2020-01-02 08:23:19 UTC
Cinnamon 4.4 was released in November.


dev-python/xapp-1.8.1
gnome-extra/cinnamon-control-center-4.4.0
gnome-extra/cinnamon-desktop-4.4.1
gnome-extra/cinnamon-menus-4.4.0
gnome-extra/cinnamon-screensaver-4.4.1
gnome-extra/cinnamon-session-4.4.0
gnome-extra/cinnamon-settings-daemon-4.4.0
gnome-extra/cinnamon-translations-4.4.1
gnome-extra/cinnamon-4.4.6
gnome-extra/cjs-4.4.0
gnome-extra/nemo-4.4.2
x11-libs/libtimezonemap-0.4.6
x11-libs/xapps-1.6.8
x11-wm/muffin-4.4.2


Notes:
* Most ebuilds are simple version bumps.
* Dropped gnome-common across all ebuilds. Upstream usage has been removed for a while.
* cinnamon is fully ported to python3, so drop python2.
* cinnamon introduced a dependency on libtimezonemap ( https://launchpad.net/timezonemap ). I put it in x11-libs, but I'm not sure it's the most appropriate category.
* cinnamon-menus was ported to meson. Dropped introspection flag as it's no longer configurable.
* cinnamon-screensaver dropped support for webkit/xscreensaver (Bug 560764).
* nemo dropped tracker support.
* networkmanager is now optional (Bug 553946).

So far, I've only verified everything builds, appears to install correctly, and doesn't immediately/noticeably break on login.

Is it preferable to attach the individual ebuilds here? Or should I create a pull request on GitHub?

Reproducible: Always
Comment 1 Matthew Turnbull 2020-01-04 01:05:46 UTC
Created attachment 602442 [details]
dev-python/xapp-1.8.1
Comment 2 Matthew Turnbull 2020-01-04 01:06:38 UTC
Created attachment 602444 [details]
gnome-extra/cinnamon-4.4.6
Comment 3 Matthew Turnbull 2020-01-04 01:08:12 UTC
Created attachment 602446 [details]
gnome-extra/cinnamon-control-center-4.4.0
Comment 4 Matthew Turnbull 2020-01-04 01:09:00 UTC
Created attachment 602448 [details]
gnome-extra/cinnamon-desktop-4.4.1
Comment 5 Matthew Turnbull 2020-01-04 01:09:39 UTC
Created attachment 602450 [details]
gnome-extra/cinnamon-menus-4.4.0
Comment 6 Matthew Turnbull 2020-01-04 01:10:14 UTC
Created attachment 602452 [details]
gnome-extra/cinnamon-screensaver-4.4.1
Comment 7 Matthew Turnbull 2020-01-04 01:10:45 UTC
Created attachment 602454 [details]
gnome-extra/cinnamon-session-4.4.0
Comment 8 Matthew Turnbull 2020-01-04 01:11:16 UTC
Created attachment 602456 [details]
gnome-extra/cinnamon-settings-daemon-4.4.0
Comment 9 Matthew Turnbull 2020-01-04 01:11:55 UTC
Created attachment 602458 [details]
gnome-extra/cinnamon-translations-4.4.1
Comment 10 Matthew Turnbull 2020-01-04 01:12:25 UTC
Created attachment 602460 [details]
gnome-extra/cjs-4.4.0
Comment 11 Matthew Turnbull 2020-01-04 01:12:58 UTC
Created attachment 602462 [details]
gnome-extra/nemo-4.4.2
Comment 12 Matthew Turnbull 2020-01-04 01:14:36 UTC
Created attachment 602464 [details]
x11-libs/libtimezonemap-0.4.6

This is a new dependency of cinnamon. It is a timezone map widget used in the "Date & Time" section of cinnamon-settings.
Comment 13 Matthew Turnbull 2020-01-04 01:15:04 UTC
Created attachment 602466 [details]
x11-libs/xapps-1.6.8
Comment 14 Matthew Turnbull 2020-01-04 01:15:34 UTC
Created attachment 602468 [details]
x11-wm/muffin-4.4.2
Comment 15 Vlad 2020-01-06 14:00:35 UTC
Sabayon have libtimezonemap under dev-libs as well as unity-gentoo overlay. Probably dev-libs is the right place ;-)
Comment 16 Matthew Turnbull 2020-01-06 17:00:21 UTC
Created attachment 602660 [details]
gnome-extra/cinnamon-4.4.6 V2

Rename x11-libs/libtimezonemap -> dev-libs/libtimezonemap
Comment 17 Matthew Turnbull 2020-01-06 17:01:30 UTC
Created attachment 602662 [details]
dev-libs/libtimezonemap-0.4.6

Rename x11-libs/libtimezonemap -> dev-libs/libtimezonemap
Comment 18 Vlad 2020-01-08 13:51:51 UTC
I've compiled/installed all the packages except gnome-extra/cinnamon-translations on two PC's. Below are the issues I experienced:
- missing dbus/dbus-glib.h for gnome-extra:cinnamon-session: ../cinnamon-session-4.4.0/cinnamon-session/csm-util.c:35:10: fatal error: dbus/dbus-glib.h: No such file or directory. As a workaround I have to create symlink as this file is under dbus-1 directory
- cinnamon-settings-daemon compiled without systemd-logind support while it's explicitly enabled in the ebuild. The same is valid for cinnamon-settings-daemon-4.0.4 in the gentoo portage. However with the latest cinnamon-settings-daemon suspend on laptop lid close didn't work anymore. I enabled systemd-logind support by simply symlinking libsystemd-login.pc to libsystemd.pc, after that everything was working as expected.

Thanks for your work!
Comment 19 Matthew Turnbull 2020-01-09 03:48:12 UTC
Thanks for the reports :)

cinnamon-session dropped dbus-glib as a dependency[1], but it looks like they still have a stray include. I submitted a pull request upstream[2], which has already been merged.

Regarding systemd support, both cinnamon-session and cinnamon-settings-daemon look like they might have broken systemd detection. They both have commits fixing it[3][4] but they haven't tagged new releases yet.


[1] https://github.com/linuxmint/cinnamon-session/pull/125
[2] https://github.com/linuxmint/cinnamon-session/pull/133
[3] https://github.com/linuxmint/cinnamon-session/commit/82b0cd50a046e6fa266ba93e549b66787f899c75
[4] https://github.com/linuxmint/cinnamon-settings-daemon/commit/4c19a41429524a2da202b919a335a646103da0fd

You can try pulling down the patches locally and rebuilding.

$ mkdir -p /etc/portage/patches/gnome-extra/cinnamon-session-4.4.0
$ cd /etc/portage/patches/gnome-extra/cinnamon-session-4.4.0
$ wget https://github.com/linuxmint/cinnamon-session/commit/82b0cd50a046e6fa266ba93e549b66787f899c75.patch
$ wget https://github.com/linuxmint/cinnamon-session/commit/2d49e8ea97a00b1d8c4501376de07ce2bb2239f8.patch
$ mkdir -p /etc/portage/patches/gnome-extra/cinnamon-settings-daemon-4.4.0
$ cd /etc/portage/patches/gnome-extra/cinnamon-settings-daemon-4.4.0
$ wget https://github.com/linuxmint/cinnamon-settings-daemon/commit/4c19a41429524a2da202b919a335a646103da0fd.patch
$ emerge -av1 cinnamon-session cinnamon-settings-daemon
Comment 20 Pat Lackemacher 2020-02-15 19:30:59 UTC
(In reply to Matthew Turnbull from comment #19)
> Thanks for the reports :)
> 
> cinnamon-session dropped dbus-glib as a dependency[1], but it looks like
> they still have a stray include. I submitted a pull request upstream[2],
> which has already been merged.
> 
> Regarding systemd support, both cinnamon-session and
> cinnamon-settings-daemon look like they might have broken systemd detection.
> They both have commits fixing it[3][4] but they haven't tagged new releases
> yet.
> 
> 
> [1] https://github.com/linuxmint/cinnamon-session/pull/125
> [2] https://github.com/linuxmint/cinnamon-session/pull/133
> [3]
> https://github.com/linuxmint/cinnamon-session/commit/
> 82b0cd50a046e6fa266ba93e549b66787f899c75
> [4]
> https://github.com/linuxmint/cinnamon-settings-daemon/commit/
> 4c19a41429524a2da202b919a335a646103da0fd
> 
> You can try pulling down the patches locally and rebuilding.
> 
> $ mkdir -p /etc/portage/patches/gnome-extra/cinnamon-session-4.4.0
> $ cd /etc/portage/patches/gnome-extra/cinnamon-session-4.4.0
> $ wget
> https://github.com/linuxmint/cinnamon-session/commit/
> 82b0cd50a046e6fa266ba93e549b66787f899c75.patch
> $ wget
> https://github.com/linuxmint/cinnamon-session/commit/
> 2d49e8ea97a00b1d8c4501376de07ce2bb2239f8.patch
> $ mkdir -p /etc/portage/patches/gnome-extra/cinnamon-settings-daemon-4.4.0
> $ cd /etc/portage/patches/gnome-extra/cinnamon-settings-daemon-4.4.0
> $ wget
> https://github.com/linuxmint/cinnamon-settings-daemon/commit/
> 4c19a41429524a2da202b919a335a646103da0fd.patch
> $ emerge -av1 cinnamon-session cinnamon-settings-daemon

Hey Matt,

It looks like 4.4.1 has released yesterday for cinnamon-session and includes the items referenced in 1 through 3. Still waiting on a new release for cinnamon-settings-daemon with what you reference in 4 there though.
Comment 21 Alessandro Di Federico 2020-04-14 07:14:17 UTC
Can we release 4.4 with a patch for cinnamon-settings?
Portage still has 4.0 which is rather old.
Comment 22 Matthew Turnbull 2020-05-01 06:47:21 UTC
Created attachment 635402 [details]
dev-python/xapp-2.0.1
Comment 23 Matthew Turnbull 2020-05-01 06:48:22 UTC
Created attachment 635404 [details]
gnome-extra/cinnamon-screensaver-4.4.1

drop unused X dependencies
Comment 24 Matthew Turnbull 2020-05-01 06:49:16 UTC
Created attachment 635406 [details]
x11-libs/xapps-1.8.2
Comment 25 Matthew Turnbull 2020-05-01 06:50:14 UTC
Created attachment 635408 [details]
x11-wm/muffin-4.4.3
Comment 26 Matthew Turnbull 2020-05-01 06:51:33 UTC
Created attachment 635410 [details, diff]
x11-wm/muffin fixes for gobject-introspection-1.62.0 part 1
Comment 27 Matthew Turnbull 2020-05-01 06:52:01 UTC
Created attachment 635412 [details, diff]
x11-wm/muffin fixes for gobject-introspection-1.62.0 part 2
Comment 28 Matthew Turnbull 2020-05-01 07:01:01 UTC
I can deal with Bug 718316 over the weekend, provided Bug 720190 is receptive to keeping this in-tree.

Also, I can provide a Git Hub PR if that's more convenient.

These all live in my personal overlay:
https://github.com/SparkyBluefang/gentoo-overlay
Comment 29 Nick Reale 2020-05-01 13:40:14 UTC
The binaryden overlay updated recently to enable python 3.7 and 3.8 in their Cinnamon. I'm not using it myself but I've been debating it while waiting on the main tree to update.

https://github.com/tkemmer/binaryden
Comment 30 Matt Turner gentoo-dev 2020-05-01 20:21:22 UTC
Perhaps you would like to become a proxied maintainer. Please contact the team and see if you can set something up.
Comment 31 Matthew Turnbull 2020-05-04 00:43:14 UTC
Created attachment 635892 [details]
dev-python/xapp-2.0.1
Comment 32 Matthew Turnbull 2020-05-04 00:44:41 UTC
Created attachment 635894 [details]
gnome-extra/cinnamon-desktop-4.4.1
Comment 33 Matthew Turnbull 2020-05-04 00:45:30 UTC
Created attachment 635896 [details]
gnome-extra/cinnamon-screensaver-4.4.1
Comment 34 Matthew Turnbull 2020-05-04 00:46:50 UTC
Created attachment 635898 [details]
gnome-extra/cinnamon-4.4.8
Comment 35 Matthew Turnbull 2020-05-04 00:47:33 UTC
Created attachment 635900 [details]
gnome-extra/nemo-4.4.2
Comment 36 Matthew Turnbull 2020-05-04 00:48:37 UTC
Created attachment 635902 [details]
app-accessibility/caribou-0.4.21-r1
Comment 37 Matthew Turnbull 2020-05-04 01:53:59 UTC
(In reply to Matt Turner from comment #30)
> Perhaps you would like to become a proxied maintainer. Please contact the
> team and see if you can set something up.

I wouldn't mind being a proxied maintainer. Who (or what list) should I be in contact with?
Comment 38 Joonas Niilola gentoo-dev 2020-05-04 11:39:51 UTC
I'd ask you to make a Github pull request with multiple commits, separated for each package. Are you familiar with Gentoo's Github workflow and requirements? 

I checked a couple of attachments here and there's a lot to be done for the ebuilds before they are in a mergeable state. Simple copy-paste isn't enough, you need to bring them up to modern standards (latest EAPI etc). 

If you think you're still up to the task, let us know. We should begin working on the ebuilds in Github ASAP. If you need help forking ::gentoo tree and making pull requests, let us know.
Comment 39 pste 2020-05-04 14:47:31 UTC
Matthew - I'd just like to loudly applaud your intention of taking on the challenge of being a proxy maintainer and thus trying to save cinnamon to gentoo. I use it everyday!

Having tried on and off the last month to solve some of the issues myself, starting with your earlier ebuilds posted here, I got stuck at muffin...
Having said that, I'd happily help you in your proxy maintaining if there's something I can do. I should at least be able to help as an additional tester (I'm currently running an openrc system, amd64/17.1/desktop, ~x86).

At the moment, using your ebuilds and patches, I get everything compiled and seemingly working OK, except x11-libs/xapps-1.8.2. For me it fails with: 

pygobject/meson.build:13:9: ERROR: Problem encountered: Error getting the GObject Introspection override directory: Traceback (most recent call last):
  File "<string>", line 1, in <module>
ModuleNotFoundError: No module named 'gi'

And then there's the already mentioned annoying little problem with cinnamon-session-4.4.1 which fails to suspend on lid close. Manually choosing it from the shutdown menu works!

Besides that, I believe I now have a working cinnamon-4.4.8 desktop,
Keep up the good work!
/P
Comment 40 Nick Reale 2020-05-04 14:54:03 UTC
I'm also keen to help how I can! I'm running your overlay for a couple of days now with no issues. Running ~amd64 with systemd. I'm on a desktop so I can't reproduce the lid issue
Comment 41 Garry Filakhtov 2020-05-10 12:10:04 UTC
Did we get anyone as a maintainer for Cinnamon yet? I have spend my weekend fixing a lot of stuff around and happy to share or perhaps even take ownership if nobody else is up for it.
Comment 42 Matthew Turnbull 2020-05-10 22:05:50 UTC
(In reply to Joonas Niilola from comment #38)
> I'd ask you to make a Github pull request with multiple commits, separated
> for each package. Are you familiar with Gentoo's Github workflow and
> requirements? 
> 
> I checked a couple of attachments here and there's a lot to be done for the
> ebuilds before they are in a mergeable state. Simple copy-paste isn't
> enough, you need to bring them up to modern standards (latest EAPI etc). 
> 
> If you think you're still up to the task, let us know. We should begin
> working on the ebuilds in Github ASAP. If you need help forking ::gentoo
> tree and making pull requests, let us know.

Yep, I'm still interested.

I've been working on getting these updated to EAPI7, which is turning out to be a little bit of a headache because the gnome2.eclass is not compatible. I've got all of the meson based ebuilds updated, and I'm starting to go through the gnome2 based ebuilds.

I do have the Gentoo repo forked and checked out locally. I just need to setup GPG before I can start committing. I'm hoping to get a PR created with the current work within the next few days.

In the mean time, I have been keeping my overlay up-to-date with my changes
https://github.com/SparkyBluefang/gentoo-overlay
Comment 43 Joonas Niilola gentoo-dev 2020-05-11 05:12:52 UTC
(In reply to Matthew Turnbull from comment #42)
> 
> I've been working on getting these updated to EAPI7, which is turning out to
> be a little bit of a headache because the gnome2.eclass is not compatible.
> I've got all of the meson based ebuilds updated, and I'm starting to go
> through the gnome2 based ebuilds.
> 

gnome2.eclass is most likely not needed at all anywhere. Use gnome2-utils if you need to install schemas, otherwise meson should be sufficient.
Comment 44 Joonas Niilola gentoo-dev 2020-05-11 05:13:48 UTC
(In reply to Joonas Niilola from comment #43)
> (In reply to Matthew Turnbull from comment #42)
> > 
> > I've been working on getting these updated to EAPI7, which is turning out to
> > be a little bit of a headache because the gnome2.eclass is not compatible.
> > I've got all of the meson based ebuilds updated, and I'm starting to go
> > through the gnome2 based ebuilds.
> > 
> 
> gnome2.eclass is most likely not needed at all anywhere. Use gnome2-utils if
> you need to install schemas, otherwise meson should be sufficient.

* autotools
Comment 45 Joonas Niilola gentoo-dev 2020-05-11 05:14:53 UTC
Sorry for the comment spam, I just woke up. EAPI-7 is obviously not a hard requirement where it can't be attained, stick to 6 if removing gnome2.eclass causes too much work.
Comment 46 Matthew Turnbull 2020-05-13 06:47:44 UTC
https://github.com/gentoo/gentoo/pull/15774

Here's the pull request. I've addressed all of the repoman complaints and also fixed a few other reported/noticed issues.

My overlay has also been updated with all of the changes made for the PR.

In a stroke of irony, it looks like Cinnamon 4.6 is prepping for release soon. I'll start tackling that after 4.4 is merged/stabilized, but that's for another ticket.
Comment 47 Larry the Git Cow gentoo-dev 2020-05-29 00:11:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8da71837558fd68d32a72b8b7b5fb88071e78ecc

commit 8da71837558fd68d32a72b8b7b5fb88071e78ecc
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 05:52:22 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:46 +0000

    gnome-extra/cinnamon: 4.4.8 version bump
    
    Update cinnamon to 4.4.8. Re-work python support
    as python-single-r1 with python3_{6,7} compat.
    Clean-up dependencies and make networkmanager optional.
    
    Closes: https://bugs.gentoo.org/553946
    Closes: https://bugs.gentoo.org/704532
    Closes: https://bugs.gentoo.org/662546
    Closes: https://bugs.gentoo.org/709016
    Bug: https://bugs.gentoo.org/718316
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon/Manifest              |   1 +
 gnome-extra/cinnamon/cinnamon-4.4.8.ebuild | 176 +++++++++++++++++++++++++++++
 gnome-extra/cinnamon/metadata.xml          |   8 ++
 3 files changed, 185 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e5f0b894af4ad7780998a137656d0835b73213e

commit 9e5f0b894af4ad7780998a137656d0835b73213e
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-25 21:57:31 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:47 +0000

    profiles/package.mask: Update cinnamon mask
    
    Cinnamon 4.4 is being added to the tree, so only mask
    older versions.
    
    Bug: https://bugs.gentoo.org/704532
    Bug: https://bugs.gentoo.org/720190
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 profiles/package.mask | 24 +++++++++++++-----------
 1 file changed, 13 insertions(+), 11 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3bfca11205ac906c7cd637babb8b6919f39da83

commit a3bfca11205ac906c7cd637babb8b6919f39da83
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 03:35:55 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:46 +0000

    gnome-extra/cinnamon-session: 4.4.1 version bump
    
    Update cinnamon-session to 4.4.1. Switch to EAPI=7
    and clean up eclass usage and dependencies.
    
    Bug: https://bugs.gentoo.org/704532
    Closes: https://bugs.gentoo.org/680808
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-session/Manifest              |  1 +
 .../cinnamon-session/cinnamon-session-4.4.1.ebuild | 72 ++++++++++++++++++++++
 gnome-extra/cinnamon-session/metadata.xml          |  8 +++
 3 files changed, 81 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db2ce06e3503ba5c9c7c793d0b42405b406355ee

commit db2ce06e3503ba5c9c7c793d0b42405b406355ee
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 03:19:55 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:46 +0000

    gnome-extra/cinnamon-control-center: 4.4.0 version bump
    
    Update cinnamon-control-center to 4.4.0. CUPS dependencies
    belong in cinnamon-settings-daemon. Make networkmanager
    and modemmanager optional. Clean-up dead configure options.
    
    Bug: https://bugs.gentoo.org/553946
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-control-center/Manifest       |  1 +
 .../cinnamon-control-center-4.4.0.ebuild           | 87 ++++++++++++++++++++++
 gnome-extra/cinnamon-control-center/metadata.xml   | 12 +++
 3 files changed, 100 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=513af20d19b76dd314b3abf4fd9f6e7c3d2a9cae

commit 513af20d19b76dd314b3abf4fd9f6e7c3d2a9cae
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 02:58:30 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:45 +0000

    gnome-extra/cinnamon-settings-daemon: 4.4.0 version bump
    
    Update cinnamon-settings-daemon to 4.4.0. CUPS dependencies
    belong here instead of cinnamon-control-center. Include
    patch to fix systemd detection.
    
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-settings-daemon/Manifest      |  1 +
 .../cinnamon-settings-daemon-4.4.0.ebuild          | 92 ++++++++++++++++++++++
 .../cinnamon-settings-daemon-4.4.0-systemd.patch   | 36 +++++++++
 gnome-extra/cinnamon-settings-daemon/metadata.xml  |  8 ++
 4 files changed, 137 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b37d7d0b09b5921135cdc38c63a0605662d60cf

commit 2b37d7d0b09b5921135cdc38c63a0605662d60cf
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 02:21:46 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:45 +0000

    gnome-extra/cinnamon-screensaver: 4.4.1 version bump
    
    Update cinnamon-screensaver to 4.4.1. Python 3.7/3.8
    support and fix shebangs. Cleanup dependencies.
    Upstream dropped webkit and xscreensaver support.
    
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Closes: https://bugs.gentoo.org/560764
    Closes: https://bugs.gentoo.org/613736
    Closes: https://bugs.gentoo.org/720152
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-screensaver/Manifest          |  1 +
 .../cinnamon-screensaver-4.4.1.ebuild              | 67 ++++++++++++++++++++++
 gnome-extra/cinnamon-screensaver/metadata.xml      |  8 +++
 3 files changed, 76 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=336ff4401a12250a4298a4bdb404c940aaa95339

commit 336ff4401a12250a4298a4bdb404c940aaa95339
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 02:09:58 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:45 +0000

    gnome-extra/nemo: 4.4.2 version bump
    
    Update nemo to 4.4.2. Switch to EAPI=7 and clean
    up eclass usage and dependencies. Tracker support
    dropped upstream.
    
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/nemo/Manifest          |  1 +
 gnome-extra/nemo/metadata.xml      |  8 ++++
 gnome-extra/nemo/nemo-4.4.2.ebuild | 82 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 91 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe2b82f20e4cc47aae6b872344e3cf0a468cf7c4

commit fe2b82f20e4cc47aae6b872344e3cf0a468cf7c4
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 02:01:58 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:44 +0000

    dev-libs/libtimezonemap: Add version 0.4.6
    
    Add libtimezonemap 0.4.6 to the tree. This widget
    is used by cinnamon (cinnamon-settings) in the
    Date & Time options as a visual time zone display
    and picker.
    
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 dev-libs/libtimezonemap/Manifest                   |  1 +
 .../libtimezonemap/libtimezonemap-0.4.6.ebuild     | 35 ++++++++++++++++++++++
 dev-libs/libtimezonemap/metadata.xml               | 19 ++++++++++++
 3 files changed, 55 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b62de74f817576b0c5b4c658c69963d90785cc05

commit b62de74f817576b0c5b4c658c69963d90785cc05
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 01:00:31 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:44 +0000

    x11-wm/muffin: 4.4.3 version bump
    
    Update muffin to 4.4.3. Add patches for compat
    with newer gobject-introspection versions.
    
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 x11-wm/muffin/Manifest                             |   1 +
 x11-wm/muffin/files/muffin-4.4-gir-fixes.patch     |  65 +++
 .../muffin-4.4-gobject-introspection-fixes.patch   | 529 +++++++++++++++++++++
 x11-wm/muffin/metadata.xml                         |   8 +
 x11-wm/muffin/muffin-4.4.3.ebuild                  |  84 ++++
 5 files changed, 687 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2e9032e49d83af365454051a23b197cf099fcaf

commit a2e9032e49d83af365454051a23b197cf099fcaf
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 00:51:27 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:44 +0000

    gnome-extra/cjs: 4.4.0 version bump
    
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cjs/Manifest         |  1 +
 gnome-extra/cjs/cjs-4.4.0.ebuild | 80 ++++++++++++++++++++++++++++++++++++++++
 gnome-extra/cjs/metadata.xml     |  8 ++++
 3 files changed, 89 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e74d4e03a33766ecf29a4cd3d55fd31e5f621761

commit e74d4e03a33766ecf29a4cd3d55fd31e5f621761
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 00:40:46 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:43 +0000

    gnome-extra/cinnamon-menus: 4.4.0 version bump
    
    Update cinnamon-menus to 4.4.0. Switch to EAPI=7
    and convert to meson.
    
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-menus/Manifest                |  1 +
 .../cinnamon-menus/cinnamon-menus-4.4.0.ebuild     | 36 ++++++++++++++++++++++
 gnome-extra/cinnamon-menus/metadata.xml            |  8 +++++
 3 files changed, 45 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bec4ab2b65288a51d5f1cfd43ae75390567d553c

commit bec4ab2b65288a51d5f1cfd43ae75390567d553c
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 00:34:41 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:43 +0000

    gnome-extra/cinnamon-translations: 4.4.2 version bump
    
    Update cinnamon-translations to 4.4.2. Switch to EAPI=7.
    
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-translations/Manifest         |  1 +
 .../cinnamon-translations-4.4.2.ebuild             | 31 ++++++++++++++++++++++
 gnome-extra/cinnamon-translations/metadata.xml     |  8 ++++++
 3 files changed, 40 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45e6ce48322b4120cda6823834657b0f5dcec4b1

commit 45e6ce48322b4120cda6823834657b0f5dcec4b1
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-13 00:30:37 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:43 +0000

    gnome-extra/cinnamon-desktop: 4.4.1 version bump
    
    Update cinnamon-desktop to 4.4.1. Switch to EAPI=7
    and clean up dependencies. Python is only neded for
    a meson install script.
    
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 gnome-extra/cinnamon-desktop/Manifest              |  1 +
 .../cinnamon-desktop/cinnamon-desktop-4.4.1.ebuild | 49 ++++++++++++++++++++++
 gnome-extra/cinnamon-desktop/metadata.xml          |  8 ++++
 3 files changed, 58 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d89a3324b97a597edb88c8b72b5df8c9130ed134

commit d89a3324b97a597edb88c8b72b5df8c9130ed134
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-12 04:44:31 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:42 +0000

    x11-libs/xapps: 1.8.4 version bump
    
    Update xapps to 1.8.4. Switch to EAPI=7 and clean
    up eclass usage and dependencies. Fix installation
    of pygobject files for multiple targets.
    
    Bug: https://bugs.gentoo.org/672676
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 x11-libs/xapps/Manifest           |  1 +
 x11-libs/xapps/metadata.xml       |  4 ++
 x11-libs/xapps/xapps-1.8.4.ebuild | 87 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 92 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa1dff08ba14f84b92edb2bc9b4ef4dda278a109

commit fa1dff08ba14f84b92edb2bc9b4ef4dda278a109
Author:     Matthew Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2020-05-12 04:40:48 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2020-05-29 00:10:42 +0000

    app-accessibility/caribou: python 3.7 support
    
    Bug: https://bugs.gentoo.org/718316
    Bug: https://bugs.gentoo.org/704532
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Closes: https://github.com/gentoo/gentoo/pull/15774
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 app-accessibility/caribou/caribou-0.4.21-r1.ebuild | 92 ++++++++++++++++++++++
 1 file changed, 92 insertions(+)